#!/bin/bash

set -e

# Переход в репозиторий с proto-файлами
cd ./Sipro-Marketplaces-Protos

# Коммит и пуш изменений, если они есть
if [[ -n $(git status --porcelain) ]]; then
  git add .
  git commit -m "Update proto definitions"
  git push
else
  echo "No changes to commit in Sipro-Marketplaces-Protos"
fi

# Возврат в корень проекта
cd -

# Пуллим обновления в /api/proto/v1
cd ./api/proto/v1
git pull
cd -

# Генерация .pb.go файлов в папки согласно структуре .proto
protoc \
  --go_out=./api/generated/v1 \
  --go-grpc_out=./api/generated/v1 \
  -I./api/proto/v1 \
  ./api/proto/v1/*/*.proto

echo "Generation complete."
